%define module 	mpi4py
%define name 	python-%{module}
%define version 0.6.0
%define release %mkrel 4

Summary: 	MPI for Python
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{module}-%{version}.tar.lzma
License: 	Public Domain
Group: 		Development/Python
Url: 		http://mpi4py.scipy.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	python >= 2.3
Requires:	openmpi
BuildRequires:	openmpi, openmpi-devel, python-devel >= 2.3
BuildRequires:	tetex-latex, python-docutils >= 0.4, python-sphinx
%description
MPI for Python provides an object oriented approach to message passing
in Python. Care was taken to translate the syntax and semantics of the
standard MPI-2 bindings for C++ to Python. Any user of the standard
C/C++ MPI bindings should be able to use this module without learning
how to use a new interface.

%prep
%setup -q -n %{module}-%{version}

%build
%__python setup.py build
make PAPER=letter -C docs latex
make -C docs/build/latex all-pdf

%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot} --record=FILELIST

%clean
%__rm -rf %{buildroot}

%files -f FILELIST
%defattr(-,root,root)
%doc tests/ README.txt LICENSE.txt HISTORY.txt THANKS.txt docs/build/latex/MPIForPython.pdf


%changelog
* Tue Sep 16 2008 Lev Givon <lev@mandriva.org> 0.6.0-4mdv2009.0
+ Revision: 285238
- Include openmpi as a build req so that the module is build with mpicc.

* Wed Sep 03 2008 Lev Givon <lev@mandriva.org> 0.6.0-3mdv2009.0
+ Revision: 279886
- Rebuild against latest version of openmpi.

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6.0-2mdv2009.0
+ Revision: 269034
- rebuild early 2009.0 package (before pixel changes)

  + Lev Givon <lev@mandriva.org>
    - Update to 0.6.0.

* Mon May 19 2008 Lev Givon <lev@mandriva.org> 0.5.0-2mdv2009.0
+ Revision: 208969
- Rebuild against latest release of openmpi.

* Tue Feb 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5.0-1mdv2008.1
+ Revision: 166046
- fix spacing at top of description
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Aug 20 2007 Lev Givon <lev@mandriva.org> 0.5.0-1mdv2008.0
+ Revision: 67961
- Update to 0.5.0.

* Thu May 10 2007 Lev Givon <lev@mandriva.org> 0.4.0rc4-1mdv2008.0
+ Revision: 26039
- Build against openmpi instead of mpich2.


* Mon Nov 06 2006 Lev Givon <lev@mandriva.org> 0.4.0rc2-1mdv2007.0
+ Revision: 76967
- Fix build deps.
- Add files.

